Bug 982585 - Review Request: python-pam - Pure Python interface to the Pluggable Authentication Modules system on Linux
Summary: Review Request: python-pam - Pure Python interface to the Pluggable Authentic...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 982588
TreeView+ depends on / blocked
 
Reported: 2013-07-09 10:50 UTC by Juan Orti Alcaine
Modified: 2014-08-15 04:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-10 07:21:42 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Juan Orti Alcaine 2013-07-09 10:50:43 UTC
Spec URL: http://jorti.fedorapeople.org/python-pam/python-pam.spec
SRPM URL: http://jorti.fedorapeople.org/python-pam/python-pam-0.1.3-1.fc19.src.rpm

Description: This module provides an authenticate function that allows the caller to authenticate a given username / password against the PAM system on Linux.

Fedora Account System Username: jorti

Comment 1 Christopher Meng 2013-07-09 11:03:21 UTC
Everything is OK.

APPROVED.

Comment 2 Juan Orti Alcaine 2013-07-09 11:23:14 UTC
New Package SCM Request
=======================
Package Name: python-pam
Short Description: Pure Python interface to the Pluggable Authentication Modules system on Linux
Owners: jorti
Branches: f18 f19
InitialCC:

Comment 3 Gwyn Ciesla 2013-07-09 11:36:26 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-07-10 07:20:51 UTC
python-pam-0.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-pam-0.1.3-1.fc19

Comment 5 Fedora Update System 2013-07-10 07:36:16 UTC
python-pam-0.1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pam-0.1.3-1.fc18

Comment 6 Fedora Update System 2013-07-20 09:37:55 UTC
python-pam-0.1.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 7 Fedora Update System 2013-07-20 09:51:27 UTC
python-pam-0.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Orion Poplawski 2014-08-07 21:54:49 UTC
Juan - I'd like to see this in EPEL-6/7.  Would you be willing to maintain it there?

Comment 9 Orion Poplawski 2014-08-07 22:08:16 UTC
FYI - Would need to add:

%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

for EPEL6 support.

Comment 10 Juan Orti Alcaine 2014-08-12 08:34:36 UTC
Package Change Request
======================
Package Name: python-pam
New Branches: el6 epel7
Owners: jorti leonn

Comment 11 Gwyn Ciesla 2014-08-12 12:07:46 UTC
Git done (by process-git-requests).

Comment 12 Juan Orti Alcaine 2014-08-12 13:44:28 UTC
(In reply to Orion Poplawski from comment #8)
> Juan - I'd like to see this in EPEL-6/7.  Would you be willing to maintain
> it there?

I've submitted the package to epel6:
https://admin.fedoraproject.org/updates/python-pam-0.1.4-2.el6

Comment 13 Orion Poplawski 2014-08-15 04:24:11 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.